This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 816153 - (CVE-2012-2135) CVE-2012-2135 python3: Data leaks, memory damage and possible crash in utf-16 decoder
CVE-2012-2135 python3: Data leaks, memory damage and possible crash in utf-16...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120414,reported=2...
: Security
Depends On: 816156
Blocks: 816043
  Show dependency treegraph
 
Reported: 2012-04-25 07:10 EDT by Jan Lieskovsky
Modified: 2015-07-31 11:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 02:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-25 07:10:31 EDT
A security flaw was found in the way the UTF-16 decoder of Python, an interpreted, interactive, object-oriented programming language, handled error messages after processing of certain UTF-16 strings. If a Python UTF-16 module based application provided remote means to accept unsanitized input, a remote attacker could use this flaw to cause denial of service (python executable to leak data, cause memory damage and possibly crash).

Upstream ticket:
[1] http://bugs.python.org/issue14579

CVE assignment:
[2] http://www.openwall.com/lists/oss-security/2012/04/25/3

Preliminary patches against the v3.2 version:
[3] http://bugs.python.org/file25294/utf16_error_handling-3.2.patch
[4] http://bugs.python.org/file25295/utf16_update_after_error-3.2.patch
[5] http://bugs.python.org/file25352/utf16_error_handling-3.2_3.patch

Reproducer:
[6] http://bugs.python.org/file25276/utf16crasher.py
Comment 1 Jan Lieskovsky 2012-04-25 07:12:23 EDT
This issue affects the versions of the python3 package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-04-25 07:13:42 EDT
Created python3 tracking bugs for this issue

Affects: fedora-all [bug 816156]

Note You need to log in before you can comment on or make changes to this bug.